You are not logged in.

#1 2020-06-13 15:35:00

stoencold111
Member
Registered: 2016-07-06
Posts: 16

Upgrading mesa to version 20+ breaks a Steam game (OOTP)

I can't upgrade mesa to version 20+ because I cannot start up a baseball manager game called OOTP in Steam.

mesa-19.3.4-2-x86_64.pkg.tar.zst is the last version I can use with the game. I just wonder what breaking changes in version: 20+ stop the game from running. It has been four months since version 20 was released and this problem still hasn't been fixed.
I've raised the issue with the OOTP development team but not a peep from them yet. So I want to see if any Arch Linux users have played the game and experienced the same problem. Do I need to install additional packages for version 20+?

Here's the OpenGL info with version 19

glxinfo | egrep -i 'version|device'

server glx version string: 1.4
client glx version string: 1.4
GLX version: 1.4
    Device: Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2)  (0x1912)
    Version: 19.3.4
    Max core profile version: 4.6
    Max compat profile version: 3.0
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.2
OpenGL core profile version string: 4.6 (Core Profile) Mesa 19.3.4
OpenGL core profile shading language version string: 4.60
OpenGL version string: 3.0 Mesa 19.3.4
OpenGL shading language version string: 1.30
OpenGL ES profile version string: OpenGL ES 3.2 Mesa 19.3.4
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
GL_EXT_shader_implicit_conversions, GL_EXT_shader_integer_mix,

Version 20+:

server glx version string: 1.4
client glx version string: 1.4
GLX version: 1.4
    Device: Mesa Intel(R) HD Graphics 530 (SKL GT2) (0x1912)
    Version: 20.1.0
    Max core profile version: 4.6
    Max compat profile version: 4.6
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.2
OpenGL core profile version string: 4.6 (Core Profile) Mesa 20.1.0
OpenGL core profile shading language version string: 4.60
OpenGL version string: 4.6 (Compatibility Profile) Mesa 20.1.0
OpenGL shading language version string: 4.60
OpenGL ES profile version string: OpenGL ES 3.2 Mesa 20.1.0
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
GL_EXT_shader_implicit_conversions, GL_EXT_shader_integer_mix,

https://archive.archlinux.org/packages/m/mesa/

Last edited by stoencold111 (2020-06-13 15:37:04)

Offline

#2 2020-06-13 19:35:33

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 10,434

Re: Upgrading mesa to version 20+ breaks a Steam game (OOTP)

What's the problem/terminal error/core dump you are getting from the game?

That said intel developed a new OpenGL driver that is the default in mesa 20+ which is likely the reason for the issue.

Trying using the latest mesa, but specifying the older OpenGL driver to be used and maybe use this opportunity to report a mesa upstream bug if it happens to work with i965 instead of iris: https://wiki.archlinux.org/index.php/In … ver_(i965)

Offline

#3 2020-06-14 03:43:30

stoencold111
Member
Registered: 2016-07-06
Posts: 16

Re: Upgrading mesa to version 20+ breaks a Steam game (OOTP)

Thank you!, it works!
I upgraded mesa back to 20+ and added MESA_LOADER_DRIVER_OVERRIDE=i965 to Steam's launch options, like this:

MESA_LOADER_DRIVER_OVERRIDE=i965 %command%

Last edited by stoencold111 (2020-06-14 03:54:15)

Offline

Board footer

Powered by FluxBB